<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingsites.overview}">Übersicht Weiterbildungsstätte</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>

	<main>
	<form method="post" data-th-action="@{/locations/trainingsites/filter}" data-th-object="${trainingSiteFilter}">
		<fieldset>
			<legend data-th-text="#{trainingsites.filter}">Weiterbildungsstätte filtern</legend>
			<th:block data-th-replace="fragments/filter::selectWithNull(field='region', options=${regions})" />
			<th:block data-th-replace="fragments/filter::singleSelect(field='trainingSiteType', options=${trainingSiteTypes}, prefix='trainingsites.', fieldname='trainingsitetype', enumSelection=true)" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<table class="datatable">
		<caption data-th-text="#{trainingsites.overview}">Übersicht über Weiterbildungsstätte</caption>
		<thead>
			<tr>
				<th></th>
				<th data-th-text="#{trainingsites.name}">Name</th>
				<th data-th-text="#{trainingsites.address}">Adresse</th>
				<th data-th-text="#{trainingsites.type}">Typ</th>
				<th data-th-text="#{trainingsites.region}">Region</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<th:block data-th-each="trainingSite: ${trainingSites}">
				<tr>
					<td><a data-th-replace="fragments/snippets::edit('/locations/trainingsites/__${#strings.toLowerCase(trainingSite.trainingSiteType)}__s', ${trainingSite.id})">edit</a></td>
					<td data-th-text="${trainingSite.name}">Name</td>
					<td data-th-text="${trainingSite.address.fullAddress}">Adresse</td>
					<td data-th-text="#{${trainingSite.trainingSiteType}}">Typ</td>
					<td data-th-text="${trainingSite.region?.name}">Region</td>
					<td><a data-th-replace="fragments/snippets::archive('/locations/trainingsites/__${#strings.toLowerCase(trainingSite.trainingSiteType)}__s', ${trainingSite.id})">archive</a></td>
				</tr>
				<tr data-th-if="${trainingSite.trainingSiteType.childsAllowed}">
					<td></td>
					<td colspan="5">
						<table class="datatable-level-2">
							<caption data-th-text="#{trainingsites.departments}">Abteilungen</caption>
							<thead>
								<tr>
									<th></th>
									<th data-th-text="#{trainingsites.name}">Name</th>
									<th data-th-text="#{trainingsites.address}">Adresse</th>
									<th data-th-text="#{trainingsites.region}">Region</th>
									<th></th>
								</tr>
							</thead>
							<tbody>
								<tr data-th-each="department: ${trainingSite.departments}">
									<td><a data-th-replace="fragments/snippets::edit('/locations/trainingsites/__${#strings.toLowerCase(trainingSite.trainingSiteType)}__s/__${trainingSite.id}__/departments', ${department.id})">edit</a></td>
									<td data-th-text="${department.name}"></td>
									<td data-th-text="${department.address.fullAddress}"></td>
									<td data-th-text="${department.region?.name}"></td>
									<td><a data-th-replace="fragments/snippets::archive('/locations/trainingsites/__${#strings.toLowerCase(trainingSite.trainingSiteType)}__s/__${trainingSite.id}__/departments', ${department.id})">archive</a></td>
								</tr>
							</tbody>
							<tfoot>
								<tr>
									<td colspan="5"><a data-th-href="@{/locations/trainingsites/clinics/{id}/departments/create(id=*{trainingSite.id})}" data-th-text="#{trainingsites.createdepartment}">neue Abteilung anlegen</a></td>
								</tr>
							</tfoot>
						</table>
					</td>
				</tr>
			</th:block>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="7"><a data-th-href="@{/locations/trainingsites/doctorsoffices/create}" data-th-text="#{trainingsites.createdoctorsoffice}">create doctors office</a></td>
			</tr>
			<tr>
				<td colspan="7"><a data-th-href="@{/locations/trainingsites/clinics/create}" data-th-text="#{trainingsites.createclinic}">create clinic</a></td>
			</tr>
		</tfoot>

	</table>
	</main>

</body>
</html>